---
updatedAt: 2025-03-20T20:41:45.000Z
agentTools:
  projectIndex: https://developer.sovrn.com/llms.txt
---

# Domain Level

<HTMLBlock>{`
<body class="container">
  <header class="header">
    <h2 class="h2">Required Query Parameters and Their Possible Values</h2>
    <div class="border"></div>
  </header>
  <section>
    <article class="article">
      <h3>Required Parameters</h3>
      <p>
        There are four required parameters needed to make a successful request to the reporting API.
      </p>
      <ul>
        <li>start: This is a date string that follows the ISO date format, i.e. 2021-08-10T19:00:00Z</li>
        <li>end: This is a date string that follows the ISO date format, i.e. 2021-08-10T20:00:00Z</li>
        <li>metrics: This should be a comma separated string, i.e. ‘requests,impressions’</li>
        <li>dimensions: This should be a comma separated string, i.e. ‘endpoint,country,demandPartnerId’</li>
      </ul>
    </article>
    <div class="divider">
      ⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼
    </div>
    <article class="article">
      <h3>Date Notes</h3>
      <p>For the start and end parameters, please request in UTC (providing the “Z” at the end for the offset). Specifying a timezone is a future feature. Also, please only request one hour, one day, or one month in a request. The endpoints will automatically determine which data aggregation to use.</p>
    </article>
    <div class="divider">
      ⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼
    </div>
    <article class="article">
      <h3>Possible Values</h3>
      <p>
        Each endpoint will have the same options for the “<b>metrics</b>” parameter, they are:
      </p>
      <ul class="bold-list">
        <li>requests</li>
        <li>requestsWithBid</li>
        <li>impressions</li>
        <li>publisherRevenue</li>
        <li>fillRate</li>
        <li>cpm</li>
      </ul>
       <p>
			Each endpoint will have different “<b>dimensions</b>” based on the type of report it is running.      
      </p>
      <ul>
        <li><b>auction</b> - traffic generated from (e.g dspgoogle, dspamazon, addelivery, bidder, auctionapi)</li>
        <li><b>zoneId</b> - Unique ID associated to a Sovrn ad tag</li>
        <li><b>zoneSize</b> - Size of that zone (e.g 728x90)</li>
        <li><b>zoneName</b> - Unique name given to that ID within the account (ex. RON_728x90)</li>
        <li><b>country</b> - country of generated traffic (e.g. us, ca, de)</li>
        <li><b>demandPartnerId</b> - DSP (e.g TradeDesk)</li>
        <li><b>seatId</b> - DSP seat, its an identifier for the Advertiser/advertiser group that is placing creatives</li>
        <li><b>dealId</b> - Deal info, used to identify deals and their performance</li>
        <li><b>advertiser</b> - The url of the advertiser (e.g Nike.com)</li>
      </ul>
    </article>
    <div class="divider">
      ⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼⎼
    </div>
    <article class="article">
      <h3>Endpoint Metrics</h3>
      <p>
        The specifc metrics included with each endpoint can be found at their respective reference pages linked below:
      </p>
        <li><a class="link" href="https://developer.sovrn.com/reference/get_reporting-advertising-publishers-publisherid-domains-domainname-account-2">/account</a></li>
        <li><a class="link" href="https://developer.sovrn.com/reference/get_reporting-advertising-publishers-publisherid-domains-domainname-bid-2">/bid</a></li>
    </article>
  </section>
</body>

<style>
  .container {
    margin: 16px 32px;
    font-family: Arial, Helvetica, sans-serif;
  }
  .header {
    padding-bottom: 16px
  }
  .h2 {
    font-weight: bolder;
  }
  .border {
    border-bottom: 8px solid rgb(255, 212, 43);
    width: 10%;
  }
  .article {
    width: 100%;
  }
  .divider {
    color: rgb(255, 212, 43);
  }
  .code_block {
    border: 1px solid #000;
    padding: 16px;
  }
  .example {
    background-color: #e0e0e0;
    width: max-content;
  }
  .link {
    color: rgb(60, 76, 252);
    text-decoration: underline rgba(60, 76, 252, 0.4);
  }
  a.link:hover  {
    color: rgb(60, 76, 252) !important;
    text-decoration: underline rgba(60, 76, 252, 0.4) !important;
  }
  .bold-list {
    font-weight: bolder;
  }
</style>
`}</HTMLBlock>